package com.zkjc.common.mvp.model.entity;

public class LoginEntity {


    /**
     * access_token : 86e2b379-b023-4ab3-af84-3e475bafd4a6
     * domain : @admin.com
     * openid : 1216977210691305473
     * refresh_token : d376df85-7a11-40b3-bdbd-e2640daeff19
     * scope : api1 userProfile
     * token_type : bearer
     * useInfo : {"createTime":"2020-01-15 11:25:58","updateTime":"2020-01-15 14:02:04","accountId":"62654","userId":"1216977210691305473","account":"120221199801015271","password":"$2a$10$A7EHximvrsa4ESX1uSlkJupbg2PLO2StzDzy67NX4YV25MxmbGvXu","accountType":"username","registerIp":"","status":1,"domain":"@admin.com","thirdParty":"","nickName":"王义天","no":"","avatar":"","officeId":"6fbf0a43fe248baa897b3560579eaa46","officeCode":"220302610000","officeName":"吉林省四平市公安局铁西区分局站前派出所","officePhoto":""}
     */

    private String access_token;
    private String domain;
    private String openid;
    private String refresh_token;
    private String scope;
    private String token_type;
    private UseInfoBean useInfo;

    public String getAccess_token() {
        return access_token;
    }

    public void setAccess_token(String access_token) {
        this.access_token = access_token;
    }

    public String getDomain() {
        return domain;
    }

    public void setDomain(String domain) {
        this.domain = domain;
    }

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public String getRefresh_token() {
        return refresh_token;
    }

    public void setRefresh_token(String refresh_token) {
        this.refresh_token = refresh_token;
    }

    public String getScope() {
        return scope;
    }

    public void setScope(String scope) {
        this.scope = scope;
    }

    public String getToken_type() {
        return token_type;
    }

    public void setToken_type(String token_type) {
        this.token_type = token_type;
    }

    public UseInfoBean getUseInfo() {
        return useInfo;
    }

    public void setUseInfo(UseInfoBean useInfo) {
        this.useInfo = useInfo;
    }

    public static class UseInfoBean {
        /**
         * createTime : 2020-01-15 11:25:58
         * updateTime : 2020-01-15 14:02:04
         * accountId : 62654
         * userId : 1216977210691305473
         * account : 120221199801015271
         * password : $2a$10$A7EHximvrsa4ESX1uSlkJupbg2PLO2StzDzy67NX4YV25MxmbGvXu
         * accountType : username
         * registerIp :
         * status : 1
         * domain : @admin.com
         * thirdParty :
         * nickName : 王义天
         * no :
         * avatar :
         * officeId : 6fbf0a43fe248baa897b3560579eaa46
         * officeCode : 220302610000
         * officeName : 吉林省四平市公安局铁西区分局站前派出所
         * officePhoto :
         */

        private String createTime;
        private String updateTime;
        private String accountId;
        private String userId;
        private String account;
        private String password;
        private String accountType;
        private String registerIp;
        private int status;
        private String domain;
        private String thirdParty;
        private String nickName;
        private String no;
        private String avatar;
        private String officeId;
        private String officeCode;
        private String officeName;
        private String officePhoto;
        private String mobile;
        private String areaId;

        public String getMobile() {
            return mobile;
        }

        public void setMobile(String mobile) {
            this.mobile = mobile;
        }

        public String getAreaId() {
            return areaId;
        }

        public void setAreaId(String areaId) {
            this.areaId = areaId;
        }

        public String getCreateTime() {
            return createTime;
        }

        public void setCreateTime(String createTime) {
            this.createTime = createTime;
        }

        public String getUpdateTime() {
            return updateTime;
        }

        public void setUpdateTime(String updateTime) {
            this.updateTime = updateTime;
        }

        public String getAccountId() {
            return accountId;
        }

        public void setAccountId(String accountId) {
            this.accountId = accountId;
        }

        public String getUserId() {
            return userId;
        }

        public void setUserId(String userId) {
            this.userId = userId;
        }

        public String getAccount() {
            return account;
        }

        public void setAccount(String account) {
            this.account = account;
        }

        public String getPassword() {
            return password;
        }

        public void setPassword(String password) {
            this.password = password;
        }

        public String getAccountType() {
            return accountType;
        }

        public void setAccountType(String accountType) {
            this.accountType = accountType;
        }

        public String getRegisterIp() {
            return registerIp;
        }

        public void setRegisterIp(String registerIp) {
            this.registerIp = registerIp;
        }

        public int getStatus() {
            return status;
        }

        public void setStatus(int status) {
            this.status = status;
        }

        public String getDomain() {
            return domain;
        }

        public void setDomain(String domain) {
            this.domain = domain;
        }

        public String getThirdParty() {
            return thirdParty;
        }

        public void setThirdParty(String thirdParty) {
            this.thirdParty = thirdParty;
        }

        public String getNickName() {
            return nickName;
        }

        public void setNickName(String nickName) {
            this.nickName = nickName;
        }

        public String getNo() {
            return no;
        }

        public void setNo(String no) {
            this.no = no;
        }

        public String getAvatar() {
            return avatar;
        }

        public void setAvatar(String avatar) {
            this.avatar = avatar;
        }

        public String getOfficeId() {
            return officeId;
        }

        public void setOfficeId(String officeId) {
            this.officeId = officeId;
        }

        public String getOfficeCode() {
            return officeCode;
        }

        public void setOfficeCode(String officeCode) {
            this.officeCode = officeCode;
        }

        public String getOfficeName() {
            return officeName;
        }

        public void setOfficeName(String officeName) {
            this.officeName = officeName;
        }

        public String getOfficePhoto() {
            return officePhoto;
        }

        public void setOfficePhoto(String officePhoto) {
            this.officePhoto = officePhoto;
        }
    }
}
